.TH "mca_allocator_base_component_1_0_0_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_allocator_base_component_1_0_0_t \- The data structure provided by each component to the framework which describes the component.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <allocator.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBmca_base_component_t\fP \fBallocator_version\fP"
.br
.RI "\fIThe version of the component. \fP"
.ti -1c
.RI "\fBmca_base_component_data_1_0_0_t\fP \fBallocator_data\fP"
.br
.RI "\fIThe component metadata. \fP"
.ti -1c
.RI "\fBmca_allocator_base_component_init_fn_t\fP \fBallocator_init\fP"
.br
.RI "\fIThe component initialization function. \fP"
.in -1c
.SH "Detailed Description"
.PP 
The data structure provided by each component to the framework which describes the component. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
